View Issue Details

IDProjectCategoryView StatusLast Update
0017407MediaMonkey 5Playbackpublic2021-01-29 03:08
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017407: MiniPlayer: Minimize video breaks video playback
Description1 Initiate playback of a video
2 Minimize to miniplayer
3 Click the minimize button on the MiniPlayer's video window
4 Restore to the main MM window
--> Video Playback no longer works

The workaround is to go back to the MiniPlayer, click the MM Toolbar icon to restore the MiniPlayer Video window, and then Restore to the main window.
TagsNo tags attached.
Fixed in build2300

Relationships

related to 0017421 closedpetr MiniPlayer / MicroPlayer mode is broken by video playback (regression 2296) 

Activities

michal

2021-01-20 16:18

developer   ~0061467

Fixed in build 2297. Video/YT uses only main window now.

rusty

2021-01-21 01:24

administrator   ~0061484

Last edited: 2021-01-22 20:19

View 3 revisions

This still occurs in 2297 (despite the fact that video playback in the miniplayer is disabled in 2297). Replicate as follows:
1 Select music track, video track, music track, video track
2 Initiate playback
3 Minimize to miniplayer
4 During Music Track 1, click NEXT
--> Video track 2 starts playing in the Preview window
5 Click NEXT
--> Audio track 3 starts playing
6 Minimize to miniplayer
7 Click NEXT
--> Video track 4 starts playing, but it's frozen in the Preview window
8 Click the minimize button on the MiniPlayer's video window
9 Restore to the main MM window
--> Video Playback no longer works
-----------
Or
8b Click the Full-Window button in the Preview Window
--> MM UI gets corrupted

petr

2021-01-21 21:09

developer   ~0061511

This scenario is fixed

rusty

2021-01-22 20:11

administrator   ~0061527

Last edited: 2021-01-22 20:20

View 3 revisions

Tested 2298. This issue still occurs.

Also I've added a step 8b to the repro steps above (the bug is even worse than originally reported).

petr

2021-01-22 23:39

developer   ~0061540

Fixed

rusty

2021-01-24 00:03

administrator   ~0061544

Last edited: 2021-01-24 00:10

View 2 revisions

Re-opened--still occurring in 2299.

1 Select music track, video track, music track, video track, audio track
2 Initiate playback of musictrack 1
3 Minimize to miniplayer
4 During Music Track 1, click NEXT
--> Video track 2 starts playing in the Preview window
5 Click NEXT
--> Audio track 3 starts playing (in the main window)
6 Minimize to miniplayer
7 Click NEXT
--> Video track 4 starts playing, but it's frozen in the Preview window
8 Click the whole-window button in the Preview Window
--> UI is corrupted - tracklists and player controls no longer display

rusty

2021-01-24 01:36

administrator   ~0061547

Last edited: 2021-01-24 01:37

View 3 revisions

It's possible that the remaining issue is more generic (not a MiniPlayer issue), as Peke found the following somewhat similar issue:
1 Play video
2 Open options
3 Press OK
--> Options screen turns blank / user is locked out of the UI

peke

2021-01-24 02:22

developer   ~0061551

As talked offline and Petr is able to replicate I do not get locked out like Rusty, but:
If I open Options while Video is playing and close with OK Video in preview gets frozen.

As Workaround I then Play Audio -> Options -> press OK -> Play video Again -> Works -> To confirm freeze I open options -> OK -> Video Frozen to THUMB -> Repeat Play Audio -> Options -> press OK -> Play video Again -> Works

petr

2021-01-24 19:04

developer   ~0061555

Fixed

rusty

2021-01-28 15:40

administrator   ~0061588

Another set of repro steps to test in the next build:
1 Play Music Video
2 Switch to Playing [Album]
3 Right click on the Preview Window and 'Save Thumbnail' to generate a new thumbnail
--> Video freezes

rusty

2021-01-29 03:08

administrator   ~0061625

Verified 2301 (messed up video playback no longer occurs).